{$imgAttribs = $instance->getImageAttributes()}

{if $isPreview && empty($imgAttribs.src)}
    <div class="opc-Image" style="{$instance->getStyleString()}">
        <div>
            <i class="far fa-image"></i>
            <span>{__('Image')}</span>
        </div>
    </div>
{elseif !empty($imgAttribs.src)}
    {$alignCSS = ''}
    {if $instance->getProperty('align') === 'left'}
        {$alignCSS = 'margin-right: auto;'}
    {elseif $instance->getProperty('align') === 'right'}
        {$alignCSS = 'margin-left: auto;'}
    {elseif $instance->getProperty('align') === 'center'}
        {$alignCSS = 'margin-left: auto;margin-right: auto;'}
    {/if}
    {if $isPreview}
        <div class="opc-Image-with-image">
    {/if}
    {$isLink = $instance->getProperty('is-link')}
    {$href = $instance->getProperty('url')}
{if $isLink && !$isPreview && !empty($href)}
    <a href="{$href|escape:'html'}" class="css-opc-img-link "
            {if !empty($instance->getProperty('link-title'))}
                title="{$instance->getProperty('link-title')|escape:'html'}"
            {/if}
            {if $instance->getProperty('new-tab') === true}
                target="_blank"
            {/if}>
{else}
    {$isLightbox = $instance->getProperty('is-lightbox')}
    {$Lightboxgroup = $instance->getProperty('lightboxname')}
    {if $isLightbox && !$isPreview}
        <a href="{$imgAttribs.src}" data-lightbox="{if !empty($Lightboxgroup)}{$Lightboxgroup}{else}{$imgAttribs.src|md5}{/if}">
    {/if}
{/if}
    <div style="max-width: {$imgAttribs.realWidth}px; {$alignCSS}" class="css-opc-img {$instance->getStyleClasses()}">
        {$isLink = $instance->getProperty('is-link')}
        {$href = $instance->getProperty('url')}

        {image
        src=$imgAttribs.src
        srcset=$imgAttribs.srcset
        sizes=$imgAttribs.srcsizes
        class='img-aspect-ratio'
        width=$imgAttribs.realWidth
        height=$imgAttribs.realHeight
        alt=$imgAttribs.alt|escape:'html'
        title=$imgAttribs.title
        style=$instance->getStyleString()
        rounded=$portlet->getRoundedProp($instance)
        thumbnail=$portlet->getThumbnailProp($instance)
        fluid-grow=true
        attribs=['draggable'=>'false']
        }
    </div>
{if ($isLink || !empty($instance->getProperty('desc')))  && !$isPreview}
    {if !empty($instance->getProperty('desc')) || !empty($instance->getProperty('link-text'))}
        <div class="css-caption">{if !empty($instance->getProperty('desc'))}{$instance->getProperty('desc')}{/if}
        </div>
    {/if}

    {if !empty($instance->getProperty('link-text'))}
        <div class="css-link-text">{$instance->getProperty('link-text')}</div>
    {/if}

    </a>
{else}
{if $isLightbox && !$isPreview}
    </a>
{/if}

    {if !empty($instance->getProperty('desc'))}
        <div class="css-caption">{$instance->getProperty('desc')}</div>
    {/if}
{/if}


    {if $isPreview}
        </div>
    {/if}
{/if}