{if $isPreview}
    {$slides = $instance->getProperty('slides')}
    {if $slides|count > 0}
        {$imgAttribs = $instance->getImageAttributes($slides[0].url, $slides[0].alt, $slides[0].title)}
    {/if}
    <div class="text-center opc-ImageSlider {if $slides|count > 0}opc-ImageSlider-with-image{/if}"
         style="{if $slides|count > 0}background-image: url('{$imgAttribs.src}');{/if} {$instance->getStyleString()}">
        <div>
            {file_get_contents($portlet->getBasePath()|cat:'icon.svg')}
            <span>{__('CSS Slider')}</span>
        </div>
    </div>
{else}
    {$uid = $instance->getUid()}
    <div style="{$instance->getStyleString()}" class="css-slider {$instance->getStyleClasses()}">
        {if $instance->getProperty('slides')|count > 0}
            <div class="css-slider-box">
                <div id="{$uid}"
                     class="row slick-smooth-loading carousel carousel-arrows-inside slick-type-product slider-no-preview slick-slider">
                    {foreach $instance->getProperty('slides') as $i => $slide}
                        <div class="slide">
                            {if !empty($slide.title) || !empty($slide.desc)}
                                {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                            {else}
                                {$slideTitle = ''}
                            {/if}

                            {if !empty($slide.url) && $slide.url != 'noPic'}
                                {$imgAttribs = $instance->getImageAttributes($slide.url, $slide.alt, $slide.title)}

                                {if !empty($slide.link)}
                                    <a href="{$slide.link}"
                                    {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                                    class="slide-inside">
                                {else}
                                    <div class="slide-inside">
                                {/if}
                                {image
                                srcset=$imgAttribs.srcset
                                sizes=$imgAttribs.srcsizes
                                src=$imgAttribs.src
                                class='img-fluid'
                                alt=$imgAttribs.alt|escape:'html'
                                title=$slideTitle|escape:'html'
                                data=['desc' => $slide.desc|escape:'html']}
                                {if empty($slide.link)}
                                    </div>
                                {else}
                                    </a>
                                {/if}
                            {/if}
                            {if !empty($slide.title)}
                                <div class="h3">{$slide.title}</div>
                            {/if}
                            {if !empty($slide.desc)}
                                <div class="css-slidertext">{$slide.desc}</div>
                            {/if}
                        </div>
                    {/foreach}
                </div>
            </div>
        {/if}
    </div>
{/if}

<script>
  $(function () {

    $('#{$uid}').slick({
      dots: {$instance->getProperty('slider-navigation')},
      arrows: {$instance->getProperty('slider-direction-navigation')},
      pauseOnHover: {$instance->getProperty('slider-pause')},
      speed: {if $instance->getProperty('slider-animation-speed') > 0 }{$instance->getProperty('slider-animation-speed')}{else}1500{/if},
      autoplay: {$instance->getProperty('slider-start')},
      infinite: true,
      slidesToShow: {$instance->getProperty('lg')},
      slidesToScroll: 1,
      centerMode: false,
      lazyLoad: 'ondemand',
      responsive: [
        {
          breakpoint: 993,
          settings: {
            slidesToShow: {$instance->getProperty('md')},
            slidesToScroll: 1,
            infinite: true,
          }
        },
        {
          breakpoint: 769,
          settings: {
            slidesToShow: {$instance->getProperty('sm')},
            slidesToScroll: 1
          }
        },
        {
          breakpoint: 577,
          settings: {
            slidesToShow: {$instance->getProperty('xs')},
            slidesToScroll: 1
          }
        }
        // You can unslick at a given breakpoint now by adding:
        // settings: "unslick"
        // instead of a settings object
      ]
    });
  });

</script>
